package com.cn.tianji.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.tianji.entity.WellDrilling;
import com.cn.tianji.mapper.WellDrillingMapper;
import com.cn.tianji.service.WellDrillingService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author Zhao RenJi
 */
@Service
public class WellDrillingServiceImpl extends ServiceImpl<WellDrillingMapper, WellDrilling> implements WellDrillingService {

    @Resource
    private WellDrillingMapper mapper;

    @Override
    public List<WellDrilling> selectListOrcale(String jhTableName, QueryWrapper<WellDrilling> queryWrapper) {
        return mapper.selectListOrcale(jhTableName, queryWrapper);
    }

    /**
     * 根据井号名称获得表代码
     *
     * @param AJH
     * @return
     */
    @Override
    public String getTableCode(String AJH) {
        //井号预处理
        String s = AJH.replace('-', '_').toUpperCase();
        return "\"LTD_" + s ;
    }

    @Override
    public void updateByTimeOrcale(String jhTableName, String motion,
                                String operatingMode, QueryWrapper<WellDrilling> queryWrapper){
        mapper.updateByTimeOrcale(jhTableName, motion,operatingMode,queryWrapper);
    }

    @Override
    public  int insertTableBatch(String tableName,List<WellDrilling> dataList){
        return mapper.insertTableBatch(tableName, dataList);
    }

    @Override
    public  List<String> tableNames(){
        return mapper.tableNames();
    }
    @Override
    public String getLastDateByJh( String tableName){
        return mapper.getLastDateByJh(tableName);
    };

    @Override
    public void createTable(String paramString, long paramLong){
       mapper.createTable(paramString,paramLong);
    };
}
